import Ajv = require('ajv');
import MySqlConfig from './MySqlConfig';
export declare const ajv: Ajv.Ajv;
export { MySqlConfig };
export declare const MySqlConfigSchema: {
    $schema: string;
    defaultProperties: never[];
    definitions: {
        TestConfig: {
            defaultProperties: never[];
            properties: {
                connectTimeoutSeconds: {
                    default: number;
                    description: string;
                    minimum: number;
                    type: string;
                };
                containerName: {
                    default: string;
                    description: string;
                    type: string;
                };
                debug: {
                    default: boolean;
                    description: string;
                    type: string;
                };
                image: {
                    default: string;
                    description: string;
                    type: string;
                };
                migrationsScript: {
                    anyOf: ({
                        items: {
                            type: string;
                        };
                        type: string;
                    } | {
                        type: string;
                        items?: undefined;
                    })[];
                    description: string;
                };
                mySqlDb: {
                    default: string;
                    description: string;
                    type: string;
                };
                mySqlPassword: {
                    default: string;
                    description: string;
                    type: string;
                };
                mySqlUser: {
                    default: string;
                    description: string;
                    type: string;
                };
                port: {
                    description: string;
                    maximum: number;
                    minimum: number;
                    type: string;
                };
            };
            required: string[];
            type: string;
        };
    };
    properties: {
        connectionStringEnvironmentVariable: {
            default: string;
            description: string;
            type: string;
        };
        test: {
            $ref: string;
            default: {};
            description: string;
        };
    };
    required: string[];
    type: string;
};
export declare type ValidateFunction<T> = ((data: unknown) => data is T) & Pick<Ajv.ValidateFunction, 'errors'>;
export default function validate(value: unknown): MySqlConfig;
