"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const cosmiconfig = require("cosmiconfig");

const MySqlConfig_validator_1 = require("./MySqlConfig.validator");

const explorer = cosmiconfig('mysql');

async function getMySqlConfig(searchFrom) {
  return parseResult(await explorer.search(searchFrom));
}

exports.getMySqlConfig = getMySqlConfig;

function getMySqlConfigSync(searchFrom) {
  return parseResult(explorer.searchSync(searchFrom));
}

exports.getMySqlConfigSync = getMySqlConfigSync;

function _testReadMySqlConfigSync(filename) {
  return parseResult(explorer.loadSync(filename));
}

exports._testReadMySqlConfigSync = _testReadMySqlConfigSync;

function parseResult(result) {
  return MySqlConfig_validator_1.default(result ? result.config : {});
}